PATCH /v1/merchant-aliases/{id}

Change an alias's pattern or name

Auth. Send the token in the X-Ledger-Token header.

Parameters

NameInTypeRequiredDescription
idpathintegerrequired

Request body

application/json: object

FieldTypeRequiredDescription
patternstringoptional
namestringoptional

Responses

StatusMeaningBody
200The updated aliasMerchantAlias
400Request rejectedError
404Request rejectedError
409Request rejectedError
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

{
  "id": 0,
  "pattern": "string",
  "name": "string",
  "created_at": "2026-10-11T00:00:00Z",
  "created": true
}

Code samples

Set KEY to your own token first.

curl

curl \
  -X PATCH \
  -H X-Ledger-Token:$KEY \
  -H "Content-Type: application/json" \
  -d '{"pattern": "string", "name": "string"}' \
  "https://api.sasek.org/ledger/v1/merchant-aliases/{id}"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/merchant-aliases/{id}", {
  method: "PATCH",
  headers: { "X-Ledger-Token": KEY, "Content-Type": "application/json" },
  body: JSON.stringify({
    "pattern": "string",
    "name": "string"
  }),
});
const data = await res.json();

Python

import json
import os
import urllib.request

payload = {'pattern': 'string', 'name': 'string'}

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/merchant-aliases/{id}",
    method="PATCH",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
        "Content-Type": "application/json",
    },
    data=json.dumps(payload).encode(),
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))